bugGNU Octave - Bugs: bug #46863, mxe-octave: build_packages.m not ...

 
 

bug #46863: mxe-octave: build_packages.m not up to date

Submitted by:  None
Submitted on:  Sun 10 Jan 2016 03:36:38 AM UTC  
 
Category:  Configuration and Build System Severity:  3 - Normal
Priority:  5 - Normal Item Group:  Installation Failure
Status:  Need Info Assigned to:  None
Originator Name:  Leszek Pawlowicz Originator Email:  -email is unavailable-
Open/Closed:  Closed Release:  4.0.0
Operating System:  Microsoft Windows

Add a New Comment (Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

( Jump to the original submission)

Sun 13 Nov 2016 03:03:25 PM UTC, comment #8: 

Packages versions should be correct in build_packages.m , warning from some packages when building them may still ccur - but should be filed as separate bugs to that package if its the case.

John Donoghue <lostbard>
Project Member
Sun 13 Nov 2016 06:21:29 AM UTC, comment #7: 

Is this bug still relevant for the 4.2.0 release?

Rik <rik5>
Project Administrator
Fri 01 Jul 2016 10:19:03 AM UTC, comment #6: 

Is this case with 4.0.2?

Tatsuro MATSUOKA <tmacchant>
Sun 17 Jan 2016 03:58:51 PM UTC, comment #5: 

All right, thanks for the details.

I know about the geometry package messages. AFAIK they're harmless, but honestly I use that package only sparingly and then only a few functions of it.

As to libltfat, that seems to be normal. Only recently has this been solved AFAIK, too late for 4.0.1-rc1.

On Windows, 4.0.1-rc1 should install in a complete separate subdir from 4.0.0. As such it shouldn't mess around with paths in the 4.0.0 folder, nor with any other stuff in 4.0.0.
You can check by following the shortcuts in the Start Menu or on the desktop. 4.0.1-rc1 and 4.0.0 should each have their own installation subdirs.

Philip Nienhuis <philipnienhuis>
Project Member
Sun 17 Jan 2016 12:51:26 AM UTC, comment #4: 

Sorry, Phil, missed those details.

I was using 4.0.1-rc1.

The filepaths I was referring to are as the following examples:

"warning: addpath: F:\Octave-4.0.0\share\octave\packages\F:\Octave-4.0.0\share\octave\packages\geometry-2.0.0\geom2d: No such file or directory"

"warning: rmpath: F:\Octave-4.0.0\share\octave\packagesF:\Octave-4.0.0\share\octave\packages\geometry-2.0.0\geom2d: not found"

"F:\Octave-4.0.0\bin\ar.exe: creating libltfat.a"

Specifically, I was unsure whether 4.0.1-rc1 was supposed to be adding and removing paths in the 4.0.0 folder. I also wondered whether the repetition of the F:\ drive path had caused an issue.

I'm not a coder, I don't have any real experience of this program, I'm just trying to provide some feedback!

Phil Allen <sid_funkleton>
Fri 15 Jan 2016 08:35:26 PM UTC, comment #3: 

Did you try 4.0.1-rc1 or 4.0.0?

And what filepath references are ncorrect? Browing your CMD echo file I see the "usual" error / warning messages.

Philip Nienhuis <philipnienhuis>
Project Member
Fri 15 Jan 2016 12:42:54 PM UTC, comment #2: 

New user here, and new to Octave in general. I've run the build_packages.m file from the command prompt as I wanted to be sure that something was happening. Whilst the error message

"warning: file general-1.3.4.tar.gz"

is no longer displayed there are still issues with incorrect filepath references. Unless 4.0.1 is intended to pull files from 4.0.0?

I've attached the full command window text to help.

Cheers, Sid

(file #36049)

Phil Allen <sid_funkleton>
Sun 10 Jan 2016 12:26:32 PM UTC, comment #1: 

While you are quite right, but you report several distinct issues here.

1. As to build_packages.m not being up to date:
This is a duplicate of bug #46761 and some other bug reports. AFAICS in the development version of (mxe-)Octave, build_packages is largely op to date. It should also be up-to-date in the octave-4.0.1 binary installer (release candidate); did you try that one? it's here:
ftp://alpha.gnu.org/gnu/octave/octave-4.0.1-rc1-installer.exe
(beta testers needed !)
Please try that one and report back here if build_packages.m there works fine for you.

2. The long list of compiler messages and warnings is due to individual Octave-Forge packages which don't always exactly match the development status of core Octave; however, that has nothing to do with build_packages.m

It would really help if you could sort out what OF packages give what warnings and enter separate bug reports for that.
(You see, if an O-F package builds with warnings but otherwise works fine, Octave developers rather tackle other more urgent issues :-) )

Philip Nienhuis <philipnienhuis>
Project Member
Sun 10 Jan 2016 03:36:38 AM UTC, original submission:  

Running build_packages.m, per the instructions that come up when you first install, a number of packages do not install correctly because build_packages.m references an older filename. For example, you get the error message:

"warning: file general-1.3.4.tar.gz does not exist"

because the most recent package file for general is general-2.0.0.tar.gz, which is not referenced by build_packages.m. There are a fair number of packages that have the same problem.

Plus, at the end of installation, there's a long list of error messages of the same type. Here's one example:

"warning: using continuation marker \ outside of double quoted strings is deprecated and will be removed in a
 future version of Octave; near line 30 of file 'C:\Octave\Octave-4.0.0\share\octave\packages\ga-0.10.0\__ga
stop_.m'"

I have attached the full command window text when you run build_packages.

Anonymous

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

Attached Files
file #35958:  build_packages.txt added by None (44KiB - text/plain - Full command window text when running build_packages)

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by lostbard (Posted a comment)
  • -email is unavailable- added by rik5 (Posted a comment)
  • -email is unavailable- added by tmacchant (Posted a comment)
  • -email is unavailable- added by mtmiller (Updated the item)
  • -email is unavailable- added by sid_funkleton (Updated the item)
  • -email is unavailable- added by None (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only project members can vote.

     

     

     

    Follow 5 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2016-11-14 rik5 Open/ClosedOpen => Closed
    2016-04-29 mtmiller Summarybuild_packages.m not up to date. => mxe-octave: build_packages.m not up to date
    2016-01-15 sid_funkleton Attached File- => Added Octave_Cmd_Text_15Jan2016.txt, #36049
    2016-01-10 philipnienhuis StatusNone => Need Info
    2016-01-10 None Attached File- => Added build_packages.txt, #35958

    Back to the top


    Powered by Savane 3.5